%define  upstream_name WorkflowEventLogTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.1
Release:	%mkrel 3
Summary:	Contains the EventLog listener for the Workflow component
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch



%description
Contains the EventLog listener for the Workflow component.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/WorkflowEventLogTiein.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/WorkflowEventLogTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/WorkflowEventLogTiein
fi

%files
%defattr(-,root,root)
%doc docs/WorkflowEventLogTiein/*
%{peardir}/data/WorkflowEventLogTiein/design/class_diagram.png
%{peardir}/data/WorkflowEventLogTiein/design/design.txt
%{peardir}/ezc/WorkflowEventLogTiein/listener.php
%{peardir}/ezc/WorkflowEventLogTiein/workflow_event_autoload.php
%{peardir}/ezc/autoload/workflow_event_autoload.php
%{xmldir}/WorkflowEventLogTiein.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 350009
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 18 2011 spuhler <spuhler> 1.1-2.mga2
+ Revision: 125709
- increased rel to 2
-Requires: 	ezcomponents-components-Base >= 1.8
  +Requires: 	ezcomponents-Base >= 1.8

* Mon Jul 18 2011 spuhler <spuhler> 1.1-1.mga2
+ Revision: 125678
- imported package ezcomponents-WorkflowEventLogTiein

